POST
/
api
/
v1
/
properties
/
{property_id}
/
fee-templates
Create property fee template
curl --request POST \
  --url http://127.0.0.1:8080/api/v1/properties/{property_id}/fee-templates \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "amount": 123,
  "is_default": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "amount": 123,
  "is_default": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

property_id
string<uuid>
required

Property ID

Body

application/json
name
string
required
fee_type
enum<string>
required
Available options:
wifi,
garbage,
parking,
service,
laundry,
other
amount
number<double>
required
is_default
boolean | null

Response

200 - application/json

Created fee template

id
string<uuid>
required
organization_id
string<uuid>
required
property_id
string<uuid>
required
name
string
required
fee_type
enum<string>
required
Available options:
wifi,
garbage,
parking,
service,
laundry,
other
amount
number<double>
required
is_default
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required